GET
/api/v1/webhooksعرض اشتراكات Webhook
النطاق:
webhooks:manageBearer tokenالبيئات
- SANDBOX
- بيئة اختبار محلية أو مصرح بها؛ لا يوجد حاليًا Sandbox عام مستضاف.
- PRODUCTION
https://getsas.xyz/api/v1/webhooks
الطلب
Headers
| Header | Value | مطلوب |
|---|---|---|
| Authorization | Bearer <ACCESS_TOKEN> | نعم |
أمثلة الكود
curl --request GET 'https://getsas.xyz/api/v1/webhooks' \
--header 'Authorization: Bearer <ACCESS_TOKEN>'الاستجابة
200 Webhook subscriptions
{
"description": "Webhook subscriptions",
"headers": {
"RateLimit-Limit": {
"$ref": "#/components/headers/RateLimitLimit"
},
"RateLimit-Remaining": {
"$ref": "#/components/headers/RateLimitRemaining"
},
"RateLimit-Reset": {
"$ref": "#/components/headers/RateLimitReset"
}
},
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/WebhookList"
}
}
}
}الأخطاء
| 401 | Missing or invalid access token |
| 404 | Marketplace API feature is not enabled for this environment |
| 429 | Fixed-window request limit exceeded for this installation and route key |
| 500 | Internal API failure |
| 503 | Rate-limit service unavailable; request is rejected closed |